Save Documentation Endpoint
curl --request POST \
--url https://agent-prod.studio.lyzr.ai/v3/semantic_model/save_documentation/{rag_config_id}/{table_name} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"descriptions": {
"table_name": "string",
"table_description": "string",
"columns": [
{
"name": "string",
"description": "string",
"type": "string"
}
]
},
"table_preview": [
{
"additionalProp1": {}
}
]
}
'import requests
url = "https://agent-prod.studio.lyzr.ai/v3/semantic_model/save_documentation/{rag_config_id}/{table_name}"
payload = {
"descriptions": {
"table_name": "string",
"table_description": "string",
"columns": [
{
"name": "string",
"description": "string",
"type": "string"
}
]
},
"table_preview": [{ "additionalProp1": {} }]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
descriptions: {
table_name: 'string',
table_description: 'string',
columns: [{name: 'string', description: 'string', type: 'string'}]
},
table_preview: [{additionalProp1: {}}]
})
};
fetch('https://agent-prod.studio.lyzr.ai/v3/semantic_model/save_documentation/{rag_config_id}/{table_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://agent-prod.studio.lyzr.ai/v3/semantic_model/save_documentation/{rag_config_id}/{table_name}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'descriptions' => [
'table_name' => 'string',
'table_description' => 'string',
'columns' => [
[
'name' => 'string',
'description' => 'string',
'type' => 'string'
]
]
],
'table_preview' => [
[
'additionalProp1' => [
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://agent-prod.studio.lyzr.ai/v3/semantic_model/save_documentation/{rag_config_id}/{table_name}"
payload := strings.NewReader("{\n \"descriptions\": {\n \"table_name\": \"string\",\n \"table_description\": \"string\",\n \"columns\": [\n {\n \"name\": \"string\",\n \"description\": \"string\",\n \"type\": \"string\"\n }\n ]\n },\n \"table_preview\": [\n {\n \"additionalProp1\": {}\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://agent-prod.studio.lyzr.ai/v3/semantic_model/save_documentation/{rag_config_id}/{table_name}")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"descriptions\": {\n \"table_name\": \"string\",\n \"table_description\": \"string\",\n \"columns\": [\n {\n \"name\": \"string\",\n \"description\": \"string\",\n \"type\": \"string\"\n }\n ]\n },\n \"table_preview\": [\n {\n \"additionalProp1\": {}\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://agent-prod.studio.lyzr.ai/v3/semantic_model/save_documentation/{rag_config_id}/{table_name}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"descriptions\": {\n \"table_name\": \"string\",\n \"table_description\": \"string\",\n \"columns\": [\n {\n \"name\": \"string\",\n \"description\": \"string\",\n \"type\": \"string\"\n }\n ]\n },\n \"table_preview\": [\n {\n \"additionalProp1\": {}\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"added_table_name": "example_table"
}Save Documentation Agent
Saves documentation for a specific table to the vector store.
POST
/
v3
/
semantic_model
/
save_documentation
/
{rag_config_id}
/
{table_name}
Save Documentation Endpoint
curl --request POST \
--url https://agent-prod.studio.lyzr.ai/v3/semantic_model/save_documentation/{rag_config_id}/{table_name} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"descriptions": {
"table_name": "string",
"table_description": "string",
"columns": [
{
"name": "string",
"description": "string",
"type": "string"
}
]
},
"table_preview": [
{
"additionalProp1": {}
}
]
}
'import requests
url = "https://agent-prod.studio.lyzr.ai/v3/semantic_model/save_documentation/{rag_config_id}/{table_name}"
payload = {
"descriptions": {
"table_name": "string",
"table_description": "string",
"columns": [
{
"name": "string",
"description": "string",
"type": "string"
}
]
},
"table_preview": [{ "additionalProp1": {} }]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
descriptions: {
table_name: 'string',
table_description: 'string',
columns: [{name: 'string', description: 'string', type: 'string'}]
},
table_preview: [{additionalProp1: {}}]
})
};
fetch('https://agent-prod.studio.lyzr.ai/v3/semantic_model/save_documentation/{rag_config_id}/{table_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://agent-prod.studio.lyzr.ai/v3/semantic_model/save_documentation/{rag_config_id}/{table_name}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'descriptions' => [
'table_name' => 'string',
'table_description' => 'string',
'columns' => [
[
'name' => 'string',
'description' => 'string',
'type' => 'string'
]
]
],
'table_preview' => [
[
'additionalProp1' => [
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://agent-prod.studio.lyzr.ai/v3/semantic_model/save_documentation/{rag_config_id}/{table_name}"
payload := strings.NewReader("{\n \"descriptions\": {\n \"table_name\": \"string\",\n \"table_description\": \"string\",\n \"columns\": [\n {\n \"name\": \"string\",\n \"description\": \"string\",\n \"type\": \"string\"\n }\n ]\n },\n \"table_preview\": [\n {\n \"additionalProp1\": {}\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://agent-prod.studio.lyzr.ai/v3/semantic_model/save_documentation/{rag_config_id}/{table_name}")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"descriptions\": {\n \"table_name\": \"string\",\n \"table_description\": \"string\",\n \"columns\": [\n {\n \"name\": \"string\",\n \"description\": \"string\",\n \"type\": \"string\"\n }\n ]\n },\n \"table_preview\": [\n {\n \"additionalProp1\": {}\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://agent-prod.studio.lyzr.ai/v3/semantic_model/save_documentation/{rag_config_id}/{table_name}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"descriptions\": {\n \"table_name\": \"string\",\n \"table_description\": \"string\",\n \"columns\": [\n {\n \"name\": \"string\",\n \"description\": \"string\",\n \"type\": \"string\"\n }\n ]\n },\n \"table_preview\": [\n {\n \"additionalProp1\": {}\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"added_table_name": "example_table"
}Authorizations
Path Parameters
The ID of the RAG configuration
The name of the table
Response
Documentation saved successfully